Bug 187355 - "xm create" checks current dir for domain config before /etc/xen
"xm create" checks current dir for domain config before /etc/xen
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Veillard
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 07:41 EST by Kwan Lowe
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 17:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kwan Lowe 2006-03-30 07:41:24 EST
Description of problem:
The "xm create" script checks the current directory before /etc/xen. If the
current directory contains a file/dir of the same name as a config file it will
kick back an error. 


Version-Release number of selected component (if applicable):
xen-3.0.1-4
FC5

How reproducible:
Create a file/dir in the current directtory that matches the name of an existing
/etc/xen config file. 


Steps to Reproduce:
1. mkdir /tmp/foo; cd /tmp/foo; touch xm01; mkdir xm02
2. xm create xm01
3. xm create xm02
  
Actual results:
Using config file "xm02".
Error: [Errno 21] Is a directory: 'xm02'

[root@darkstar foo]# xm create xm01
Using config file "xm01".
Error: No kernel specified

Expected results:
xm should check /etc/xen before the current dir to locate the config file.

Additional info:
Comment 1 Daniel Veillard 2006-12-05 17:51:03 EST
based on comment #2 of bug 211697 this got fixed upstream:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=211697

Daniel

Note You need to log in before you can comment on or make changes to this bug.